include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### engine (static)

tde_add_library( engine STATIC_PIC AUTOMOC

  SOURCES
        socket.cpp
        thread.cpp
        directorylisting.cpp
        commands.cpp
        event.cpp
        ftpsocket.cpp
        ftpdirectoryparser.cpp
        cache.cpp
        sftpsocket.cpp
        connectionretry.cpp
        speedlimiter.cpp
        ssl.cpp
  LINK
     ssh-static

  DEPENDENCIES kftpgrabbercore-static
)
